unit uPluginControllerVentasProceso;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCVentas = interface(IInterface)
  ['{D058419C-2EFC-41A6-99DD-76E5B7FC4361}']
  end;

  TModuleVentasProceso = class(TModuleController, IMCVentas)
    menu: TMenuItem;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    actVentasProceso: TAction;
    Controldeventasenproceso1: TMenuItem;
    procedure actVentasProcesoExecute(Sender: TObject);
  public
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, uGUIBase, SysUtils, uDataModuleVentasProceso,
  uEditorControlesVentaProceso, uDataModuleControles,
  uBizControlVentasProceso, uEditorControlesBase;

function GetModule : TModuleController;
begin
  Result := TModuleVentasProceso.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

{
******************************* TModuleContactos *******************************
}

procedure TModuleVentasProceso.actVentasProcesoExecute(Sender: TObject);
var
  aControl: IBizControlVentasProceso;
  aObj: IEditorControlesVentasProceso;
begin
  aControl := dmVentasEnProceso.GetControl;
  aObj := TfEditorControlesVentasProceso.Create(Application);
  try
    with aObj do
    begin
      Control := aControl;
      ShowEmbedded;
    end;
  finally
    aControl := NIL;
    aObj := NIL;
  end;
end;

initialization
  RegisterModuleClass(TModuleVentasProceso);

finalization
  UnRegisterModuleClass(TModuleVentasProceso);

end.
